package com.ss.android.ugc.aweme.global.config.settings.pojo;

import X.C49504Ek;
import com.bytedance.covode.number.Covode;
import com.google.gson.a.c;

public class AwemeFEConfigs {
    @c(LIZ = "business_ec")
    public BusinessEC businessEc;
    @c(LIZ = "goods_report")
    public GoodsReport goodsReport;
    @c(LIZ = "link_plan")
    public LinkPlan linkPlan;
    @c(LIZ = "live")
    public ShopLiveConfig live;
    @c(LIZ = "mp_tab")
    public MpTab mpTab;
    @c(LIZ = "seed_label")
    public String seedLabel;
    @c(LIZ = "seeding")
    public Seeding seeding;
    @c(LIZ = "star_atlas_order")
    public StarAtlasOrder starAtlasOrder;
    @c(LIZ = "video_auth")
    public VideoAuth videoAuth;

    static {
        Covode.recordClassIndex(82831);
    }

    public BusinessEC getBusinessEc() {
        BusinessEC businessEC = this.businessEc;
        if (businessEC != null) {
            return businessEC;
        }
        throw new C49504Ek();
    }

    public GoodsReport getGoodsReport() {
        GoodsReport goodsReport2 = this.goodsReport;
        if (goodsReport2 != null) {
            return goodsReport2;
        }
        throw new C49504Ek();
    }

    public LinkPlan getLinkPlan() {
        LinkPlan linkPlan2 = this.linkPlan;
        if (linkPlan2 != null) {
            return linkPlan2;
        }
        throw new C49504Ek();
    }

    public ShopLiveConfig getLive() {
        ShopLiveConfig shopLiveConfig = this.live;
        if (shopLiveConfig != null) {
            return shopLiveConfig;
        }
        throw new C49504Ek();
    }

    public MpTab getMpTab() {
        MpTab mpTab2 = this.mpTab;
        if (mpTab2 != null) {
            return mpTab2;
        }
        throw new C49504Ek();
    }

    public String getSeedLabel() {
        String str = this.seedLabel;
        if (str != null) {
            return str;
        }
        throw new C49504Ek();
    }

    public Seeding getSeeding() {
        Seeding seeding2 = this.seeding;
        if (seeding2 != null) {
            return seeding2;
        }
        throw new C49504Ek();
    }

    public StarAtlasOrder getStarAtlasOrder() {
        StarAtlasOrder starAtlasOrder2 = this.starAtlasOrder;
        if (starAtlasOrder2 != null) {
            return starAtlasOrder2;
        }
        throw new C49504Ek();
    }

    public VideoAuth getVideoAuth() {
        VideoAuth videoAuth2 = this.videoAuth;
        if (videoAuth2 != null) {
            return videoAuth2;
        }
        throw new C49504Ek();
    }
}
